/*!
 * LgoKnowledge - Marketcircle Script tools
 * http://www.lgo.co.uk/
 *
 * Copyright 2014-2016, LgoKnowledge Ltd
 *
 */
//////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////
function lgoGo(destination,required){
	
	if (_checkRequiredField(required)){
		//$("#destination").attr( "href" , _generateURL(destination) );
		//$(this).attr( "href" , _generateURL(destination) );
		window.document.location = _generateURL(destination);
	}
}
//////////////////////////////////////////////////////////////////////////////////////////////
function lgoMakeURL(destination,required){
	
	if (_checkRequiredField(required)){
		return _generateURL(destination);
	}
}
///////////////////////////////////////////////////////////////////////////////////////////////
function lgoDate(date,format){
	document.write($.formatDateTime(format, new Date(Date.parse(date)))); 
}
////////////////////////////////////////////////////////////////////////////////////////////////
function lgoPageSetup(){
	
	$("#display_errors").text("");

	// Formatting
	$('span.number2dp').number(true, 2);
	$('span.number0dp').number(true, 0);
	//$('span.number0dp').number( true, 0, ',', '.', false );
	
	//Make rows clickable
	$(".clickable_row").click(function() {
		
		if ($(this).data("final_destination") == 'yes'){
			window.document.location = $(this).data("destination");
		}else{
			var linkURL = lgoMakeURL(($(this).data("destination")),'');
			linkURL = linkURL + $(this).data("additionalquery");
			
			window.document.location = linkURL;
			
			//$("#display_errors").text(linkURL);
			//$("#display_errors").css( "background-color", "rgba(255, 0, 0, 0.39)" );
		}

	});

}

//////////////////////////////////////////////////////////////////////////////////////////////
function lgoGetChars(string, numChars){
	
	return  string.substr(1, numChars);
}
//////////////////////////////////////////////////////////////////////////////////////////////



//////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////// Private methods do not call from pages ////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////////////////////
function _checkRequiredField(fields){
	// Check fields (comma seperated string)
		   		
	var result = true;
	
	if (fields){
		var arrayOfIds = fields.split(',');
	
		$.each( arrayOfIds, function(key,value) {
			var test = $("#"+value).val();
			
			if (test != ""){
				// do nothing
			}
			else{
				// return a false and change field
				result = false;
				$("#"+value).css( "backgroundColor", "#FF3333" );
			}
			
		});
	}
	return result;
}
//////////////////////////////////////////////////////////////////////////////////////////////
function _generateURL(destination){
	// generate URL for next step

		// get all Input tags
		var linkArguments = "?";
		$("input").each(function(){
			// check we don't get baseURL
			if ($(this).attr("name") != "baseURL"){
				linkArguments = linkArguments + $(this).attr("name") + '=' + $(this).val() + '&';
			}
		});
		$("select").each(function(){
			linkArguments = linkArguments + $(this).attr("name") + '=' + $(this).val() + '&';
		});
		var finalLocation = $("#baseURL").val() + "/"+destination + linkArguments;
		
		return finalLocation;	
}
//////////////////////////////////////////////////////////////////////////////////////////////
function addCommas(nStr) // add commas to numbers
{
    nStr += '';
    x = nStr.split('.');
    x1 = x[0];
    x2 = x.length > 1 ? '.' + x[1] : '';
    var rgx = /(\d+)(\d{3})/;
    while (rgx.test(x1)) {
        x1 = x1.replace(rgx, '$1' + ',' + '$2');
    }
    return x1 + x2;
}
